import QtQuick 2.0
import Sailfish.Silica 1.0
import org.nemomobile.configuration 1.0

Page {
    id: page

    SilicaFlickable {
        anchors.fill: parent
        contentHeight: cont.height

        Column {
            id: cont

            width: parent.width
            spacing: Theme.paddingMedium

            PageHeader {
                title: "MailSelf"
            }

            TextField {
                id: sendTo

                width: parent.width
                label: "Send To"
                text: sendToConfig.value

                placeholderText: "Type recipient email address"
                inputMethodHints: Qt.ImhNoAutoUppercase | Qt.ImhEmailCharactersOnly

                onTextChanged: sendToConfig.value = text
                EnterKey.onClicked: focus = false
            }
        }
    }

    ConfigurationValue {
        id: sendToConfig

        key: "/apps/harbour-mailself/settings/send_to"
        defaultValue: "your.inbox+TDL@whatever.yay"
    }
}
